<?php
/**
 * Customizer
 * 
 * @package WordPress
 * @subpackage radiant-home-decor
 * @since radiant-home-decor 1.0
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function radiant_home_decor_customize_register( $wp_customize ) {
	$wp_customize->add_section( new Radiant_Home_Decor_Upsell_Section($wp_customize,'upsell_section',array(
		'title'            => __( 'Radiant Home Decor Pro', 'radiant-home-decor' ),
		'button_text'      => __( 'Upgrade Pro', 'radiant-home-decor' ),
		'url'              => 'https://www.wpradiant.net/products/home-decor-wordpress-theme',
		'priority'         => 0,
	)));
}
add_action( 'customize_register', 'radiant_home_decor_customize_register' );

/**
 * Enqueue script for custom customize control.
 */
function radiant_home_decor_custom_control_scripts() {
	wp_enqueue_script( 'radiant-home-decor-custom-controls-js', get_template_directory_uri() . '/assets/js/custom-controls.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );
	wp_enqueue_style( 'radiant-home-decor-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'radiant_home_decor_custom_control_scripts' );